Loading...
Searching...
No Matches
Ogre::RenderablePass Struct Reference
Core » RenderSystem

Struct associating a single Pass with a single Renderable. More...

`#include <OgreRenderQueueSortingGrouping.h>`

## Public Member Functions

| RenderablePass (Renderable *rend, Pass *p)

## Public Attributes

Pass * | pass
| Pointer to the Pass.
Renderable * | renderable
| Pointer to the Renderable details.

## Detailed Description

Struct associating a single Pass with a single Renderable.

This is used to for objects sorted by depth and thus not grouped by pass.

## Constructor & Destructor Documentation

## RenderablePass()

Ogre::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p )

inline

References pass, and renderable.

## Member Data Documentation

## renderable

Renderable* Ogre::RenderablePass::renderable

Pointer to the Renderable details.

Referenced by RenderablePass().

## pass

Pass* Ogre::RenderablePass::pass

Pointer to the Pass.

Referenced by RenderablePass().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h